<ion-header>
  <ion-toolbar color="dark">
    <ion-buttons slot="start">
      <ion-button (click)="redirectProjects()">
        <ion-icon name="chevron-back-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="sign" fullscreen>

  <div class="signature-pad ion-padding">
    <h3>Nombre Documento</h3>
    <div class="ion-padding" style="background: white;color: black;border-radius:3px;">
      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc sit amet nisl tristique, hendrerit ipsum vitae, scelerisque eros.
      Nam lorem metus, sodales eu pellentesque vel, semper a massa.</p><p> Suspendisse eget turpis sed tellus vulputate mattis. Praesent
      elementum sit amet lectus id luctus. In ac augue dignissim, tempor nisi ut, auctor arcu. Interdum et malesuada fames ac ante
      ipsum primis in faucibus.</p> <p>Quisque fermentum dignissim nisl, in viverra libero semper a. Vivamus felis eros, porttitor quis
      dapibus sit amet, egestas eu magna.</p>

    <p>Duis maximus tellus a risus euismod varius. Maecenas congue posuere nunc ultrices egestas. Cras sagittis quis eros ut accumsan.
      Curabitur auctor maximus tellus, non laoreet est tincidunt nec. Pellentesque habitant morbi tristique senectus et netus et
      malesuada fames ac turpis egestas. Duis ut laoreet libero, non volutpat metus. Maecenas nec interdum velit, sed finibus eros.</p>
    </div>
    <h5>Nombre:</h5>
    <ion-item>

      <ion-input style="border-radius: 3px;"  [(ngModel)]="email"></ion-input>

      <ion-button shape="round" *ngIf="email">
        <ion-icon name="checkmark-outline"></ion-icon>
      </ion-button>
    </ion-item><br>


   <a style="margin-left: 50%;margin-right:auto;position: absolute;">Date: {{date}}</a>
    <ion-buttons>
      <ion-button color="dark" expand="full" style="background-color: yellow;border-radius: 3px;" (click)="undo()"> Undo</ion-button>
      <ion-button color="light" expand="full" style="background-color: red;border-radius: 3px;" (click)="clear()"> Clear</ion-button>
    </ion-buttons>
    <div>
      <canvas class="signature-pad-canvas" #canvas style="touch-action: none;border-radius: 3px;"></canvas>
    </div>
  </div>
  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button [disabled]="isCanvasBlank()" (click)="save()">
      <ion-icon name="save"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
